summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2010-04-13 11:44:59 (GMT)
committerChristian Pointner <equinox@helsinki.at>2010-04-13 11:44:59 (GMT)
commit7aa8e8453068b2ee5d23a4efbc2e26d47ae5e506 (patch)
treee6718f73fc7573a6f9b9245ec21fc97808ca232e /configure
parent48302ff95c18a67c55fcce6ccf13e273054791f0 (diff)
added configure script and Makefile for Installation
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure87
1 files changed, 87 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..b3692af
--- /dev/null
+++ b/configure
@@ -0,0 +1,87 @@
+#!/bin/sh
+#
+#
+# rhimport
+#
+# Copyright (C) 2009 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhimport.
+#
+# rhimport is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhimport is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with rhimport. If not, see <http://www.gnu.org/licenses/>.
+#
+
+PREFIX='/usr/local'
+BINDIR=''
+SHAREDIR=''
+
+print_usage() {
+ echo "configure --help print this"
+ echo " --prefix=<PREFIX> the installation prefix (default: /usr/local)"
+ echo " --bindir=<DIR> the path to the bin directory (default: $PREFIX/bin)"
+ echo " --sharedir=<DIR> the path to shared resources (default: $PREFIX/share"
+}
+
+for arg
+do
+ case $arg in
+ --prefix=*)
+ PREFIX=${arg#--prefix=}
+ ;;
+ --bindir=*)
+ BINDIR=${arg#--bindir=}
+ ;;
+ --sharedir=*)
+ SHAREDIR=${arg#--sharedir=}
+ ;;
+ --help)
+ print_usage
+ exit 0
+ ;;
+ *)
+ ERRORS="$ERRORS $arg"
+ ;;
+ esac
+done
+
+if [ -n "$ERRORS" ] && [ $EBUILD_COMPAT -ne 1 ]; then
+ for error in $ERRORS; do
+ echo "Unknown argument: $error"
+ done
+
+ print_usage
+ exit 1
+fi
+
+rm -f include.mk
+if [ -z "$BINDIR" ]; then
+ BINDIR=$PREFIX/bin
+fi
+
+if [ -z "$SHAREDIR" ]; then
+ SHAREDIR=$PREFIX/share
+fi
+
+cat >> include.mk <<EOF
+# this file was created automatically
+# do not edit this file directly
+# use ./configure instead
+
+INSTALL := install
+
+PREFIX := $PREFIX
+BINDIR := $BINDIR
+SHAREDIR := $SHAREDIR
+EOF
+
+exit 0